export type Attributes = Record<string, string>;
export type Props = Record<string, string | boolean> & {
    dangerouslySetInnerHTML?: {
        __html: string;
    };
    key?: string | number;
    style?: Record<string, string>;
};
/**
 * Converts HTML/SVG DOM attributes to React props.
 *
 * @param attributes - HTML/SVG DOM attributes.
 * @param nodeName - DOM node name.
 * @returns - React props.
 */
export default function attributesToProps(attributes?: Attributes, nodeName?: string): Props;
//# sourceMappingURL=attributes-to-props.d.ts.map